hash_map File Reference

Go to the source code of this file.

## Classes

class | __gnu_cxx::allocator< _Tp >
struct | __gnu_cxx::equal_to< _Tp >
class | __gnu_cxx::hash_map< _Key, _Tp, _HashFn, _EqualKey, _Alloc >
class | __gnu_cxx::hash_multimap< _Key, _Tp, _HashFn, _EqualKey, _Alloc >
struct | __gnu_cxx::pair< _T1, _T2 >

## Namespaces

namespace | __gnu_cxx
namespace | std

## Macros

#define | _BACKWARD_HASH_MAP

## Functions

template<class _Key, class _Tp, class _HashFn, class _EqlKey, class _Alloc>
bool | __gnu_cxx::operator!= (const hash_map< _Key, _Tp, _HashFn, _EqlKey, _Alloc > &__hm1, const hash_map< _Key, _Tp, _HashFn, _EqlKey, _Alloc > &__hm2)
template<class _Key, class _Tp, class _HF, class _EqKey, class _Alloc>
bool | __gnu_cxx::operator!= (const hash_multimap< _Key, _Tp, _HF, _EqKey, _Alloc > &__hm1, const hash_multimap< _Key, _Tp, _HF, _EqKey, _Alloc > &__hm2)
template<class _Key, class _Tp, class _HashFn, class _EqlKey, class _Alloc>
bool | __gnu_cxx::operator== (const hash_map< _Key, _Tp, _HashFn, _EqlKey, _Alloc > &__hm1, const hash_map< _Key, _Tp, _HashFn, _EqlKey, _Alloc > &__hm2)
template<class _Key, class _Tp, class _HF, class _EqKey, class _Alloc>
bool | __gnu_cxx::operator== (const hash_multimap< _Key, _Tp, _HF, _EqKey, _Alloc > &__hm1, const hash_multimap< _Key, _Tp, _HF, _EqKey, _Alloc > &__hm2)
template<class _Key, class _Tp, class _HashFn, class _EqlKey, class _Alloc>
void | __gnu_cxx::swap (hash_map< _Key, _Tp, _HashFn, _EqlKey, _Alloc > &__hm1, hash_map< _Key, _Tp, _HashFn, _EqlKey, _Alloc > &__hm2)
template<class _Key, class _Tp, class _HashFn, class _EqlKey, class _Alloc>
void | __gnu_cxx::swap (hash_multimap< _Key, _Tp, _HashFn, _EqlKey, _Alloc > &__hm1, hash_multimap< _Key, _Tp, _HashFn, _EqlKey, _Alloc > &__hm2)

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

Definition in file hash_map.

## Macro Definition Documentation

## _BACKWARD_HASH_MAP

#define _BACKWARD_HASH_MAP

Definition at line 57 of file hash_map.